'use strict';

exports.__esModule = true;
exports['default'] = createMonitorReducer;

var _actions = require('./actions');

var _redux = require('redux');

function createMonitorReducer() {
  var _ref = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var _ref$isVisibleOnLoad = _ref.isVisibleOnLoad;
  var isVisibleOnLoad = _ref$isVisibleOnLoad === undefined ? true : _ref$isVisibleOnLoad;

  function isVisible(state, action) {
    if (state === undefined) state = isVisibleOnLoad;

    switch (action.type) {
      case _actions.TOGGLE_VISIBILITY:
        return !state;
      default:
        return state;
    }
  }

  return _redux.combineReducers({ isVisible: isVisible });
}

module.exports = exports['default'];